package com.yunzhupaas.message.util;

import com.yunzhupaas.message.entity.MessageEntity;
import com.yunzhupaas.message.entity.MessageReceiveEntity;
import com.yunzhupaas.util.RandomUtil;

import java.util.Date;

/**
 * 消息实体类
 *
 * @版本： V3.2.0
 * @版权： 深圳市乐程软件有限公司（http://www.szlecheng.cn）
 * @作者： 云筑产品开发平台组
 * @日期： 2021/4/22 9:06
 */
public class YunzhupaasMessageUtil {
    public static MessageEntity setMessageEntity(String userId, String title, String bodyText, Integer recType) {
        MessageEntity entity = new MessageEntity();
        entity.setTitle(title);
        entity.setBodyText(bodyText);
        entity.setId(RandomUtil.uuId());
        // entity.setType(recType);
        entity.setCreatorUserId(userId);
        entity.setCreatorTime(new Date());
        entity.setLastModifyTime(entity.getCreatorTime());
        entity.setLastModifyUserId(entity.getCreatorUserId());
        return entity;
    }

    public static MessageReceiveEntity setMessageReceiveEntity(String toUserId, String title, Integer sendType) {
        MessageReceiveEntity entity = new MessageReceiveEntity();
        entity.setId(RandomUtil.uuId());
        entity.setUserId(toUserId);
        entity.setIsRead(0);
        entity.setType(sendType);
        entity.setFlowType(1);
        entity.setTitle(title);
        return entity;
    }
}
